@font-face {
    font-family: 'seasideresortnfregular';
    src: url('fonts/seasrn__-webfont.woff2') format('woff2'),
         url('fonts/seasrn__-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;

}

body {
  margin: 0;
  display: flex;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.left-panel {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  background: url("images/bg.jpg");
  background-size: cover;
  width: 30vw;
  height: 100vh;
}

.logo-section {
  display: flex;
  background-color: rgba(50, 20, 0, 0.7);
  font-family: 'seasideresortnfregular', 'arial';
  color: white;
  font-size: 2.5rem;
  margin-top: 30vh;
}

.logo {
  display: flex;
  align-items: center;
  margin: 0 auto;
}

.left-panel img {
  height: 100px;
  margin: 10px;
}

.left-panel .image-credit {
  align-self: center;
  margin-bottom: 5vh;
}

.left-panel .image-credit,
.left-panel a {
  color: white;
  font-size: 0.7rem;
}

form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  gap: 50px;
  background: #eee;
  width: 70vw;
}

.signup-header,
.signup-form-section,
.signup-footer {
  padding-left: 3vw;
  padding-right: 30vw
}

.signup-header {
  font-weight: 800;
  font-size: 1.5rem;
}

.signup-footer button {
  display: block;
  background: rgb(70, 40, 20);
  color: white;
  padding: 10px 30px;
  border-radius: 5px;
  border: None;
}

.signup-footer button:hover {
  background: rgb(100, 70, 40);
}

.signup-footer p {
  display: inline-block;

}

.signup-form-section {
  background: white;
  box-shadow: 1.8px 3.5px 3.5px rgba(0, 0, 0, 0.05);
}

.signup-fields {
  display: flex;
  flex-wrap: wrap;
}

.signup-fields .field {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-right: 30px;
  margin-bottom: 20px;
}

form input {
  height: 20px;
  width: 200px;
}

form label {
  font-size: 0.6rem;
  font-weight: 800;
  color: #555;
  text-transform: uppercase;

}

input {
  background: #fcfcfc;
  border: solid 0.1px #ddd;
  border-radius: 2px;
}

input:focus {
  border: solid 0.1px blue;
  box-shadow: 1.8px 3.5px 3.5px rgba(0, 0, 0, 0.05);
}
input:invalid {
  border: solid 0.2px red;
}


